Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class LogicalOperatorWithTwoFormulas

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.AbstractArgumentList
              com.meyling.principia.logic.basic.AbstractFormula
                  com.meyling.principia.logic.basic.LogicalOperatorWithTwoFormulas

All Implemented Interfaces:
  Argument, Formula

Direct Known Subclasses:
  Conjunction, Disjunction, Equivalence, Implication

public abstract class LogicalOperatorWithTwoFormulas
extends AbstractFormula
implements Argument, Formula

LogicalOperatorWithTwoFormulas of formulas.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Constructor Summary
`LogicalOperatorWithTwoFormulas(Argument[] arguments)` Constructs a new formula out of two given ones.
`LogicalOperatorWithTwoFormulas(Formula formula1, Formula formula2)` Constructs a new formula out of two given ones.

Method Summary
`SubjectVariables` | `getBoundSubjectVariables()` Get all bounded subject variables.
`SubjectVariables` | `getFreeSubjectVariables()` Get all free subject variables.
`Formula` | `getPartFormula(int i)` Get the requested part formula
`int` | `getPartFormulaSize()` Get the number of part formulas that this formula contains.
`SubjectVariables` | `getSubjectVariables()` Get all subject variables that occur in this formula.

Methods inherited from class com.meyling.principia.logic.basic.AbstractFormula
`createPattern, replaceBoundSubjectVariable, replaceBoundSubjectVariables`

Methods inherited from class com.meyling.principia.argument.AbstractArgumentList
`copy, create, getArgument, getArgumentSize, toString`

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`containsPatternVariables, equals, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.Argument
`containsPatternVariables, copy, create, equals, getArgument, getArgumentSize, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches, toString`

Methods inherited from interface com.meyling.principia.logic.basic.Formula
`replaceBoundSubjectVariable, replaceBoundSubjectVariables`

Constructor Detail

### LogicalOperatorWithTwoFormulas

    public LogicalOperatorWithTwoFormulas(Argument[] arguments)
                                   throws ArgumentException

  Constructs a new formula out of two given ones.

Parameters:
  `arguments` - must contain two formulas
Throws:
  `ArgumentException` - if same subject variable exists bound and unbound, or argument dosn't consist of two formulas

### LogicalOperatorWithTwoFormulas

    public LogicalOperatorWithTwoFormulas(Formula formula1,
                                          Formula formula2)
                                   throws ArgumentException

  Constructs a new formula out of two given ones.

Parameters:
  `formula1` - first formula
  `formula2` - second formula
Throws:
  `ArgumentException` - if same subject variable exists bound and unbound

Method Detail

### getPartFormulaSize

    public final int getPartFormulaSize()

  Description copied from interface: `Formula`
  Get the number of part formulas that this formula contains.

  Specified by:
    `getPartFormulaSize` in interface `Formula`
  Specified by:
    `getPartFormulaSize` in class `AbstractFormula`
  Returns:
    always 2

### getPartFormula

    public final Formula getPartFormula(int i)

  Description copied from interface: `Formula`
  Get the requested part formula

  Specified by:
    `getPartFormula` in interface `Formula`
  Specified by:
    `getPartFormula` in class `AbstractFormula`

### getFreeSubjectVariables

    public final SubjectVariables getFreeSubjectVariables()

  Description copied from interface: `Formula`
  Get all free subject variables.

  Specified by:
    `getFreeSubjectVariables` in interface `Formula`
  Specified by:
    `getFreeSubjectVariables` in class `AbstractFormula`

### getBoundSubjectVariables

    public final SubjectVariables getBoundSubjectVariables()

  Description copied from interface: `Formula`
  Get all bounded subject variables.

  Specified by:
    `getBoundSubjectVariables` in interface `Formula`
  Specified by:
    `getBoundSubjectVariables` in class `AbstractFormula`

### getSubjectVariables

    public SubjectVariables getSubjectVariables()

  Description copied from interface: `Formula`
  Get all subject variables that occur in this formula.

  Specified by:
    `getSubjectVariables` in interface `Formula`
  Specified by:
    `getSubjectVariables` in class `AbstractFormula`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.